# Transmitter Module / Field Sensor
- Gather data from sensors and transmit using LoRa
- No Internet Connection Required.  
- Follow pinout referenced in [Parent ReadMe](../README.md)

## System Requirements
**Hardware**    
Based around a WEMOS D1 Mini, however any similar Arduino Microcontroller will work. You will require a suitable USB cable to interface between your computer and the sensor module.

This system makes use of the `443MHz` radio frequency for LORA transmission. Depending on your geographical location, you may require a different tranciever that operates at a permitted frequency.

**Software**  
You will require the [Arduino IDE](https://www.arduino.cc/en/software) to flash the sensor firmware. Install and configure this on your machine.

Required Library [Library Manager Instructions](https://docs.arduino.cc/software/ide-v1/tutorials/installing-libraries)  
- TimeLib (Usually pre-installed)
- SPI (Usually pre-installed)
- Wire (Usually pre-installed)
- LoRa ([In Repo](Arduino\libraries\LoRa\\))
- Software Serial (Usually pre-installed)
- Arduino JSON ([In Repo](Arduino\libraries\ArduinoJson\\))
- SHT Sensor ([In Repo](Arduino\libraries\arduino-sht\\))
- CCS881 ([In Repo](Arduino\libraries\CCS811\\))

## System Overview
Sensors are remote and sit in the "field", they collect data and transmit this to gateway node(s) over LORA. 

Sensors can recieve updated configuration paramaters from the gateway node after they check in

A partial hardware mac address is used for the sensor UID.

## Configuration
First-Time installation and configuration
1. Build sensor module as per the [Parent ReadMe](../README.md)
2. Clone this repo and open `ESP8266_Transmitter.ino` in Arduino IDE
3. Configure the Wemos board through Arduino IDE Board Manager [Instructions](https://github.com/esp8266/Arduino#installing-with-boards-manager)
4. Install required libraries, as noted above. Some are included in the repo for reference, however you should first attempt to download the latest version from the Arduino Library manager where available.
5. Make changes in `config.h` as required.
6. Flash firmware through Arduino IDE.
7. After flashing firmware, you'll see the sensor UID in the serial console. Note this, and register the sensor through the [frontend or api](https://gitlab.cis.strath.ac.uk/cs408-environmental-monitoring-independent-of-existing-infrastructure/public-api)
8. Deploy your sensor into the field! Expect the first messages from the sensor to reach the gateway approx. 2 minutes after power-on, unless you have changed any timing values in the config file.