/**
 * Setup LoRa module
 * 
 * @returns True on succesful initialisation
 */
bool setupLoRa() {
  LoRa.setPins(LORA_SS, LORA_RST, LORA_DIO0);  
  if (!LoRa.begin(LORA_FREQUENCY)) {
    Serial.println("[-] LoRa Init failed!");
    return false;
  }

  LoRa.setSpreadingFactor(LORA_SPREADING_FACTOR);
  LoRa.setSignalBandwidth(LORA_SIGNAL_BANDWIDTH);
  LoRa.setTxPower(20);

  Serial.println("[+] LoRa Initialized OK!");
  return true;
}
