// Debug / Polling / Transmitting Config
#define DEBUG 2
#define MIN_RAND_DELAY 500 // ms
#define MAX_RAND_DELAY 1250 // ms
#define MAX_TRANSMISSION_RETRIES 5 // No. Retries before recordings new values then retry
#define TX_RESERVATION_TIME 1 // How long do we require use of TX for sending packets? (Seconds)

#define NUM_SENSORS 6

// Poor mans memory-contrained hashmap alternative. Store index of polled count for each sensor in pollEventCountPerSensor
#define IDX_PPM10 0
#define IDX_PPM25 1
#define IDX_PPM100 2
#define IDX_TEMPERATURE 3
#define IDX_HUMIDITY 4
#define IDX_CO2 5

// Variable Values - May be updated by Gateway
int TX_AFTER_N_READINGS = 10; // No. of samples, after which Transmit Avg Readings
int POLLING_FREQUENCY = 10000; // ms Take value every POLLING_FREQUENCY ms

// Lora Config
#define LORA_SS 16      // Physical Pin 16 = D0 (Default is Physical Pin 5)
#define LORA_RST 0      // Physical Pin 0  = D3
#define LORA_DIO0 15    // Physical Pin 15 = D8 (Default is Physical Pin 4)
#define LORA_SPREADING_FACTOR 7
#define LORA_SIGNAL_BANDWIDTH 125E3
#define LORA_FREQUENCY 433E6

// LoRa Message Tracking
uint32_t msgCount = 0; // Number of messages sent since startup

// Partial Sensor Data
struct pms5003data {
  uint16_t framelen;
  uint16_t pm10_standard, pm25_standard, pm100_standard;
  uint16_t pm10_env, pm25_env, pm100_env;
  uint16_t particles_03um, particles_05um, particles_10um, particles_25um, particles_50um, particles_100um;
  uint16_t unused;
  uint16_t checksum;
};
