# Environmental Monitoring Independent of Existing Infrastructure
## Gateway & Field Sensor Components
- Tracking code, requirements, BOM and so on, for delivering the hardware solution 

**Transmitter** 
- For install instructions See [README](ESP8266_Transmitter/README.md)
- Gather data from sensors, send to gateway using LoRa
- No internet connection required
- CAD Files are provided... [View](Enclosure/README.md)

**Gateway/Receiver**
- For install instructions see [README](RaspberryPi_Receiver/README.md)
- Collect data from transmitter nodes
- Parse / verify and upload to project API
- Either requires internet connection to function, or connection to network hosting the API, may look to allow fully offline/off-grid functionality going forwards
- CAD Files are provided... [View](Enclosure/README.md)

## BOM - Field Sensors
| Unit | Cost | Description | Link |
|------|------|-------------|------|
| WeMos D1 Mini | £1.58 | Micro Controller | [Buy](https://www.aliexpress.com/item/1005001824235269.html) |
| Raspberry Pi Model 4 | £50.00 | SBC | [Buy](https://www.raspberrypi.com/products/raspberry-pi-4-model-b/) |
| RA-01 / RA-02 | £2.13 | 433MHz SX1278 LoRa Transceiver Modules | [Buy](https://www.aliexpress.com/item/32811847832.html) |
| PMS5003 | £10.33 | Plantower Laser Air/Partical/Dust Sensor | [Buy](https://www.aliexpress.com/item/32944660534.html) | 
| SHT30 | £1.23 | Temperature / Humidity Sensor | [Buy](https://www.aliexpress.com/item/4001176687785.html) |
| CCS811 | £8.60 | CO2 Sensor Module | [Buy](https://www.ebay.co.uk/itm/313603433731?hash=item490438a503:g:PMoAAOSwTdNfOt6n) |
| SSD1306 | 1.16 | 0.91" 128x32 Pixel Display | [Buy](https://www.aliexpress.com/item/32777216785.html) |


# Pinout - Transmitters  
**Plantower PMS5003 Partical Sensor**
|PMS5003 | D1 Mini |
|--------|---------|
|Pin 1	 | VCC 5V  |
|Pin 2	 | GND     |
|Pin 5 TX| D4 (RX) |


**LoRa RA-02**
| RA-02 | D1 Mini    |
|-------|------------|
| GND   | GND	     |
| 3.3V  | VCC 3.3V   |
| RST   | D3	     |
| D100  | D8	     |
| NSS   | D0	     |
| MOSI  | D7	     |
| MISO  | D6	     |
| SCK   | D5	     |


**SHT3X-DIS Temp/Humidity Sensor**
| SHT3X-DIS | D1 Mini |
|-----------|---------|
|    GND    |   GND   |
|    VCC    | VCC 3.3V|
|    SCL    |   D1    |
|    SDA    |   D2    |


**CCS811 Co2 Sensor**
| CCS811   | D1 Mini |
|----------|---------|
|   VCC    | VCC 3.3V|
|   GND    | GND     |
|   SCL    | D1      |
|   SDA    | D2      |
|   WAKE   | GND     |

**LCD SSD1306 128x32 i2c**
| LCD | D1 Mini |
|-----|---------|
| VCC | VCC 3.3V|
| GND | GND     |
| SCK |         |
| SDA | D2      |


# Pinout - Wemos D1 Perspective
| Board | Physical  |	Component           |
|-------|-----------|-----------------------|
| D0    |	16      |	NSS LoRa            |
| D1    | 	5       |	SCL SHT, SCL CCS811 |
| D2    |	4       |	SDA SHT	 SDA CCS811 |
| D3    |	0       |	RST LoRa            |
| D4    |	2       |	TX Partical         |
| D5    |	14      |	SCK LoRa            |
| D6    |	12      |	MISO LoRa           |
| D7    |	13      |	MOSI LoRa           |
| D8    |	15      |	Dio0 LoRa           |
| 3.3V	|   -	    |   LoRa, SHT	        |
| 5.0V	|   -	    |   Partical            |
| GND   |	-       |	Lora, SHT, Partical |
| TX    |	1       |                       |
| RX    |	3       |                       |

# Pinout - Raspberry Pi Perspective
- N.B. Using Physical Pin Numbering

| Raspberry Pi (Physical) | Component | Component Pin |
|--------------------|-----------|---------------|
| 3.3V | LoRa SX1278 | 3.3V |
| GND  | LoRa SX1278 | GND  |
| 15 | LoRa SX1278 | Dio0 |
| 23 | LoRa SX1278 | SCK  |
| 24 | LoRa SX1278 | NSS  |
| 21 | LoRa SX1278 | MISO |
| 19 | LoRa SX1278 | MOSI |
